/*
 *    Copyright (c) Yaron Keren 1994-1996. All rights reserved.
 */
#include "file_23.h"
#include "file_7.h"
#include <iostream.h>
#include <stdio.h>
const int l_397=32;
const int l_398=32000;
const int l_399=4000;
class l_400 {
  char *l_401[l_397];
int	l_402[l_397];
int	l_403[l_397];
int l_404;
int l_405;
int l_406;
  int l_407;
public:
l_400(char *format);
~l_400();
void l_408();
void l_409(ostream& l_410, double* val, int l_411);
void l_412(double *pr, int& l_413, int l_411, int l_414);
double* scan(FILE * f, int l_271, int& l_411, int& l_415);
void sprintfM(ostream &l_410, M& x);
void l_416();
int l_417() { return l_406; }
};
void sprintfM(ostream& l_410, M format, M a, M l_33, M c, M d, M l_1, M f);
M int2str(M x);
M num2str(M x, M l_290=4);
M sscanfM(M s, M format);
M sscanfM(M s, M format, M size);
M sscanfM(M s, M format, M size, i_o_t, Mr l_139, Mr l_140);
M sscanfM(M s, M format, M size, i_o_t, Mr l_139, Mr l_140, Mr l_141);
M sprintfM(M l_138);
M sprintfM(M format, M a, M l_33=l_M, M c=l_M, M d=l_M, M l_1=l_M, M f=l_M);
M str2mat(M l_151=l_M,  M l_152=l_M,	M l_153=l_M,  M l_154=l_M,  M l_155=l_M,
M l_156=l_M,  M l_157=l_M,	M l_158=l_M,  M l_159=l_M,  M l_160=l_M,
M l_161=l_M, M l_162=l_M, M l_163=l_M, M l_164=l_M, M l_165=l_M);
M strcmp(M a, M l_33);
